EDIT - feature request #9182

Sub-collection and Collection vs. Collection and Super-Collection
08/10/2020 06:40 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.17

Severity: normal

Description

In PhycoBank there are Collections in Herbaria (c. 30%), but only c.2% Collection in Supercollections.
| call a Collection in a herbarium a subcollection, it consists of preparations by one collector.

E.g. Coll. Lange-Bertalot in FR
i.e. Coll. Lange-Bertatot has its own numbers, but no collection code.
The TaxEDITor fits to those expamples, Vaadin not. See: picture235-2.png

Coll. Lange-Bertalot would be "Name" (1) in picture 235-1
Super Collection = Senckenberg Forschungsinstitut und Naturmuseum with Herbarium Code FR
Title Cache BRM
Code BRM

Code Standard Index Herbariorum

wnef) —

Town Or'Location Bremerhaven, Germany

Institute Alfred-Wegener-Institut fur Polar- und Meeresforschung
)
=1E)

Super Collection

Finish l l Cancel

(2)in picture 235-1
It is possible in Vaadin to put in the name as "institute" but this seems to be a kind of workaround.

Super Collection is (other example) Name= Alfred-Wegener-Institut fir Polar- und Meeresforschung with Collection Code = BRM
Collection editor

registration Edit specimen type designation working set

Edit collection

Code Code standard

FR Index Herbarior

In collection

Institute

Senckenberg Forschungsinstitut ut

M Delete Save

Feature request: make "Name" available for data entry.

Town or location

Frankfurt a.M_, ¢

¥ Cancel

Related issues:
Related to EDIT - task #9201: Titelcache creation for nested collections - DI...
Related to EDIT - feature request #9202: Collection editor with titleCache field

New
New

Associated revisions

Revision d99b930c - 08/11/2020 11:24 AM - Andreas Kohlbecker

fix #9182 adding name field to collection editor

Revision db9e7dad - 08/11/2020 12:06 PM - Andreas Kohlbecker

ref #9182 improving layout of collection editor

History

#1 - 08/11/2020 11:09 AM - Andreas Kohlbecker

- Description updated

#2 - 08/11/2020 11:24 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|d99b930ca98f5b14d402d7fccb356d1e9a6ff589.

#3 - 08/11/2020 11:25 AM - Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.18

#4 - 08/11/2020 12:06 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/d99b930ca98f5b14d402d7fccb356d1e9a6ff589

done. please review once the test servers updated (12.08.2020)

#5 - 08/19/2020 04:53 PM - Wolf-Henning Kusber

- File picture541-1.png added

- File picture541-2.png added

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 90

Done: Name of collection can be entered and is be stored in the correct field in CDM, that is an important improvement (see picture 541-2).

Title Cache aasanaaaaaaaasanaaaaaaaaaaaaaaaaaa (BIELEFELD 1234). s
Spec./Obs. Type - Preserved Specimen -
Country @
Locality dddaddafaddadaddadadadaaadasaadasaa

Latitude

Longitude

1

Error Radius (m)
Reference System

Elevation : 3
Date 3

Collector @

Collecting number
Collection Coll. N.N. in Naturkundemuseum Bielefeld (BIELEFELD) @ 2

Accession Number

Errnr RPadine fim

Referenre Sustem - 5
Elevation : »
Date 3

Collector @ [ﬁ]

We can close this ticket.

There are other features not clearly commuicated in this ticket: A collection without CODE in a collection with code, the first collection is entered here
as part of a string (Work around, blue circle in picture 541-1).
Collection editor

registration Edit specimen type designation working set

Edit collection

Code Code standard Town or location

BIELEFELD none

Name

Coll. N.M. in Maturkundemuseum Bielefeld

In collection

Institute

This should be discussed, and may be treated in a new ticket.

#6 - 08/19/2020 05:39 PM - Andreas Kohlbecker

Wolf-Henning Kusber wrote:

Done: Name of collection can be entered and is be stored in the correct field in CDM, that is an important improvement (see picture 541-2).

Title Cache a33aAAAAAAAAAAAAAAaaaaaaaaaaaaaaaa (BIELEFELD 1234). s
Spec/Obs. Type - Preserved Specimen -
Country @
Locality dddAaddadAaddaddaddadddadasadaadaaa

Latitude

Longitude

111

Error Radius (m)

Reference System -
Elevation : »
Date »

Collector @

Collecting number

Collection Coll. N.N. in Naturkundemuseum Bielefeld (BIELEFELD) @

Accession Number

Errnr RPadinie fm

Referenre Swstem vl
Elevation ; »
Date b

Collector @ [ﬁ]
We can close this ticket.

There are other features not clearly commuicated in this ticket: A collection without CODE in a collection with code, the first collection is entered
here as part of a string (Work around, blue circle in picture 541-1).

Collection editor

registration Edit specimen type designation working set

Edit collection

Code Code standard

BIELEFELD none

Name

Coll. N.M_ in Maturkundemuseum Bielefeld

In collection

Institute

This should be discussed, and may be treated in a new ticket.

#7 - 08/19/2020 05:48 PM - Andreas Kohlbecker

- Related to task #9201: Titelcache creation for nested collections - DISCUSS added

#8 - 08/19/2020 07:27 PM - Andreas Kohlbecker

- Related to feature request #9202: Collection editor with titleCache field added

#9 - 08/19/2020 07:27 PM - Andreas Kohlbecker

The main topic of this ticket is solved, other aspect are to be handled in new tickets : #9201, #9202

#10 - 08/19/2020 07:28 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 90 to 100

#11 - 08/19/2020 08:42 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.17
https://dev.e-taxonomy.eu/redmine/issues/9201
https://dev.e-taxonomy.eu/redmine/issues/9202
